## org.apache.mahout.cf.taste.example.kddcup.track1.svd
Interface FactorizablePreferences

All Known Implementing Classes:
  DataModelFactorizablePreferences, KDDCupFactorizablePreferences

    public interface FactorizablePreferences

models the necessary input for `ParallelArraysSGDFactorizer`

Method Summary
`LongPrimitiveIterator` `getItemIDs()`
`float` `getMaxPreference()`
`float` `getMinPreference()`
`Iterable<Preference>` `getPreferences()`
`LongPrimitiveIterator` `getUserIDs()`
`int` `numItems()`
`int` `numPreferences()`
`int` `numUsers()`

Method Detail

### getUserIDs

    LongPrimitiveIterator getUserIDs()

### getItemIDs

    LongPrimitiveIterator getItemIDs()

### getPreferences

    Iterable<Preference> getPreferences()

### getMinPreference

    float getMinPreference()

### getMaxPreference

    float getMaxPreference()

### numUsers

    int numUsers()

### numItems

    int numItems()

### numPreferences

    int numPreferences()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.